/**
 * プロジェクト名 laxIde
 * クラス名 LetsAjaxWebAppGenerationWizardPage1.java
 * 作成日: 2007/05/28
 * 
 */
package jp.co.cybec.laxide.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

/**
 * DhtmlとJSを生成するウィザードページクラス
 * <p>
 * ファイル名：LetsAjaxWebAppGenerationWizardPage1.java
 * </p>
 * 
 * @author nakamura 作成時刻：11:04:19
 * 
 */
public class LetsAjaxWebAppGenerationWizardPage1 extends
		LetsAjaxWizardNewFileCreationPage {

	/** ページID */
	public static final String PAGE_ID = "Wizard.GenerateWizardPage";

	/** 読み込み元のファイルパス */
	private String filePath;

	private Text dataSourceFileName;

	protected LetsAjaxWebAppGenerationWizardPage1(String pageName,
			IStructuredSelection selection) {
		super(pageName, selection,
				LetsAjaxWizardNewFileCreationPage.WIZARD_TYPE_LOADFILE);

		setTitle("生成物出力先指定");
		setDescription("HTMLとJSを生成する場所を選択してください。");
	}

	/**
	 * 読み込み元のファイルパスを設定します.
	 * 
	 * @param filePath
	 *            読み込み元のファイルパス
	 */
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public void createControl(Composite parent) {
		super.createControl(parent);

	}

	public Text getDataSourceFileName() {
		return this.dataSourceFileName;
	}
}
